from django.db import models

from dbsynce.models import Orders, Resource


class OrdersLocalFullTemplate(models.Model):
    """
    OrdersLocal - таблица с заказами
    """
    order_synced = models.ForeignKey(Orders, on_delete=models.DO_NOTHING)
    resource = models.ForeignKey(
        Resource,
        null=True,
        on_delete=models.DO_NOTHING
    )
    rating_id = models.IntegerField(
        null=True
    )  # Need create table with rating
    payment_transaction_id = models.IntegerField(
        null=True
    )  # Need create table with payment_transaction or it get from platform (i dont know)
    attempts = models.IntegerField(
        null=True, help_text="Попытки"
    )

    order_place_type = models.CharField(
        null=True,
        max_length=150
    )
    order_place_start = models.CharField(
        null=True,
        max_length=150
    )
    order_place_start_gps = models.CharField(
        null=True,
        max_length=150
    )
    order_place_start_sector = models.IntegerField(
        null=True
    )
    order_place_start_real = models.CharField(
        null=True,
        max_length=150
    )
    order_place_start_real_gps = models.CharField(
        null=True,
        max_length=150
    )
    order_place_finish_predicted = models.CharField(
        null=True,
        max_length=150
    )
    order_place_finish_predicted_gps = models.CharField(
        null=True,
        max_length=150
    )
    order_place_finish_sector = models.IntegerField(
        null=True
    )
    order_place_finish_real = models.CharField(
        null=True,
        max_length=150
    )
    order_place_finish_real_gps = models.CharField(
        null=True,
        max_length=150
    )

    class Meta:
        db_table = "orders_local"
        verbose_name = "Заказ (local)"
        verbose_name_plural = "Заказы (local)"
